function init(){

    require([ 'js/jscurry-0.3.0.js'] );
    require([ 'js/jqmath-0.4.2.js'] );

}


// Validation of input groups
function validarEjercicio1(groupKey){

    var rs = ["1", "i", "-1","-i", "1"];
    var errorInForm = 0;

    // Grupo de validacion
    groupKey  = (typeof groupKey === "undefined") ? 1 : groupKey;
    inputs = $('input[type="text"][groupKey="'+ groupKey +'"]');

    inputs.each(function(){
        var  key =  $(this).attr('keyValue'); // key to answer
        var  val =  $(this).val(); // key to answer
        var divResultado = $(this).next('div .resultado');

        if ( rs[key] === val){
            $(this).parent().parent().find('.resultado').addClass('bgAcierto');
            $(this).parent().parent().find('.resultado').removeClass('bgError');
        }
        else{
            $(this).parent().parent().find('.resultado').addClass('bgError');
            $(this).parent().parent().find('.resultado').removeClass('bgAcierto');
            $(this).val('');
            errorInForm ++;
        }
    });

    if(errorInForm >0){
        sg.sound('error');
        $('#btPop1').css('display','block');
    }
    else{
        sg.sound('success');
    }
}

// Validation of input groups
function validarEjercicio2(groupKey){

    var rs = [ "i", "-1","-i", "1", "i", "-1","-i", "1", "i", "-1","-i", "1", "i", "-1","-i", "1", "i", "-1","-i", "1" ];
    var errorInForm = 0;

    // Grupo de validacion
    groupKey  = (typeof groupKey === "undefined") ? 1 : groupKey;
    inputs = $('input[type="text"][groupKey="'+ groupKey +'"]');

    inputs.each(function(){
        var  key =  $(this).attr('keyValue'); // key to answer
        var  val =  $(this).val(); // key to answer
        var divResultado = $(this).next('div .resultado');

        if ( rs[key] === val){
            $(this).parent().parent().find('.resultado').addClass('bgAcierto');
            $(this).parent().parent().find('.resultado').removeClass('bgError');
        }
        else{
            $(this).parent().parent().find('.resultado').addClass('bgError');
            $(this).parent().parent().find('.resultado').removeClass('bgAcierto');
            $(this).val('');
            errorInForm ++;
        }
    });

    if(errorInForm >0){
        sg.sound('error');
        $('#btPop1').css('display','block');
    }
    else{
        sg.sound('success');
    }
}


// Validation of input groups
function validarEjercicio3(groupKey){

    var rs = [ "1", "-1","-i"];
    var errorInForm = 0;

    // Grupo de validacion
    groupKey  = (typeof groupKey === "undefined") ? 1 : groupKey;
    inputs = $('input[type="text"][groupKey="'+ groupKey +'"]');

    inputs.each(function(){
        var  key =  $(this).attr('keyValue'); // key to answer
        var  val =  $(this).val(); // key to answer
        var divResultado = $(this).next('div .resultado');

        if ( rs[key] === val){
            $(this).parent().parent().find('.resultado').addClass('bgAcierto');
            $(this).parent().parent().find('.resultado').removeClass('bgError');
        }
        else{
            $(this).parent().parent().find('.resultado').addClass('bgError');
            $(this).parent().parent().find('.resultado').removeClass('bgAcierto');
            $(this).val('');
            errorInForm ++;
        }
    });

    if(errorInForm >0){
        sg.sound('error');
        $('#btPop1').css('display','block');
    }
    else{
        sg.sound('success');
    }
}

